/* ---------------------------------------------------------------------------
created on: 06.04.2007
    by: GoerntKai

Copyright: (c) 2007 by Kai Grnt (kai.goernt@dimensionswandler.de).
All rights reserved.
--------------------------------------------------------------------------- */

package de.goerntkai.toolbox.cmdln;

/**
 * <p>Signals when the command line was not properly given. This makes the
 * command line invalid.</p>
 *
 * @author <a href="kai.goernt@dimensionswandler.de">Kai Grnt</a>
 * @version
 *     $Id: CommandLineException.java,v 1.2 2007/05/01 17:08:22 GoerntKai Exp $
 */
class CommandLineException extends Exception {

    /**
     * <p>Holds the serial version ID.</p>
     */
    private static final long serialVersionUID = 0L;

    /**
     * <p>Checks the invariants. As there are so many it is encapsuled in this
     * method.</p>
     *
     * @return <code>true</code>
     */
    private boolean checkInvariants() {

        // bewares of NullPointerException
        // assert this.member != null: "this.member is [null]"; //$NON-NLS-1$

        return true;
    }

    /**
     * <p>Standard constructor.</p>
     */
    public CommandLineException() {

        // invariants
        assert this.checkInvariants() : "invalid invariants"; //$NON-NLS-1$

    }

    /**
     * <p>Standard constructor.</p>
     *
     * @param theMessage to display
     */
    public CommandLineException(final String theMessage) {

        super(theMessage);

        // invariants
        assert this.checkInvariants() : "invalid invariants"; //$NON-NLS-1$

    }

    /**
     * <p>Standard constructor.</p>
     *
     * @param theCause of the exception
     */
    public CommandLineException(final Throwable theCause) {

        super(theCause);

        // invariants
        assert this.checkInvariants() : "invalid invariants"; //$NON-NLS-1$
    }

    /**
     * <p>Standard constructor.</p>
     *
     * @param theMessage to display
     * @param theCause of the exception
     */
    public CommandLineException(
        final String theMessage,
        final Throwable theCause
    ) {

        super(theMessage, theCause);

        // invariants
        assert this.checkInvariants() : "invalid invariants"; //$NON-NLS-1$
    }
}



/* end of file ------------------------------------------------------------ */
