/* ---------------------------------------------------------------------------
created on: 01.04.2007
    by: GoerntKai

Copyright: (c) 2007 by Kai Grnt (kai.goernt@dimensionswandler.de).
All rights reserved.
--------------------------------------------------------------------------- */

package de.goerntkai.toolbox.cmdln;

/**
 * <p>Represents a parameter given in the command line. This parameter may be
 * an option or an argument.</p>
 *
 * @author <a href="kai.goernt@dimensionswandler.de">Kai Grnt</a>
 * @version
 *      $Id: CommandLineParameter.java,v 1.2 2007/05/01 17:08:23 GoerntKai Exp $
 */
public interface CommandLineParameter {

    /**
     * <p>Returns the parameters value as a String. Unary options may return
     * "true" or "false". Unary options should better be asked if set.</p>
     *
     * @return the value of this parameter
     */
    String getValue();

    /**
     * <p>Returns <code>true</code> when this parameter was set in the command
     * line, <code>false</code> otherwise. Unary options are used this way.</p>
     *
     * @return wether this parameter was set in the command line
     */
    boolean isSet();
}



/* end of file ------------------------------------------------------------ */
