/* ---------------------------------------------------------------------------
created on: 16.07.2006
    by: GoerntKai

Copyright: (c) 2006 by Kai Grnt (kai.goernt@dimensionswandler.de).
All rights reserved.
--------------------------------------------------------------------------- */

package de.goerntkai.toolbox.cmdln;

/**
 * <p>Signals that a help document was not validly written. This exception
 * occurs when parsing the help document.</p>
 *
 * @author <a href="kai.goernt@dimensionswandler.de">Kai Grnt</a>
 * @version
 *      $Id: HelpTextException.java,v 1.2 2007/05/01 17:08:23 GoerntKai Exp $
 */
public class HelpTextException extends Exception {

    /**
     * <p>Holds the serial version ID.</p>
     */
    private static final long serialVersionUID = 0L;

    /**
     * <p>Standard constructor.</p>
     */
    public HelpTextException() {

        super();
    }

    /**
     * <p>Standard constructor.</p>
     *
     * @param theMessage the message to set
     */
    public HelpTextException(final String theMessage) {

        super(theMessage);
    }

    /**
     * <p>Standard constructor.</p>
     *
     * @param theMessage the message to set
     * @param theCause the cause to set
     */
    public HelpTextException(
        final String theMessage,
        final Throwable theCause
    ) {

        super(theMessage, theCause);
    }

    /**
     * <p>Standard constructor.</p>
     *
     * @param theCause the cause to set
     */
    public HelpTextException(final Throwable theCause) {

        super(theCause);
    }
}



/* end of file ------------------------------------------------------------ */
