/* ---------------------------------------------------------------------------
created on: 01.04.2007
    by: GoerntKai

Copyright: (c) 2007 by Kai Grnt (kai.goernt@dimensionswandler.de).
All rights reserved.
--------------------------------------------------------------------------- */

package de.goerntkai.toolbox.cmdln;

/**
 * <p>Represents a parameter given in the command line. This parameter may be
 * an option or an argument.</p>
 *
 * @author <a href="kai.goernt@dimensionswandler.de">Kai Grnt</a>
 * @version
 *      $Id: InternalParameter.java,v 1.2 2007/05/01 17:08:23 GoerntKai Exp $
 */
interface InternalParameter extends CommandLineParameter {

    /**
     * <p>Returns the name of this parameter.</p>
     *
     * @return the name of this parameter
     */
    String getName();

    /**
     * <p>Returns <code>true</code> when this parameter was validly used,
     * <code>false</code> otherwise.</p>
     *
     * @return wether this parameter is validly used
     */
    boolean isValid();

    /**
     * <p>Sets the value of this parameter.</p>
     *
     * @param theValue to set
     */
    void setValue(String theValue);
}



/* end of file ------------------------------------------------------------ */
