/* ---------------------------------------------------------------------------
created on: 31.03.2007
    by: GoerntKai

Copyright: (c) 2007 by Kai Grnt (kai.goernt@dimensionswandler.de).
All rights reserved.
--------------------------------------------------------------------------- */

package de.goerntkai.toolbox.time;

/**
 * <p>Creates <code>Clock</code>s.</p>
 *
 * @author <a href="kai.goernt@dimensionswandler.de">Kai Grnt</a>
 * @version $Id: ClockFactory.java,v 1.3 2007/04/29 17:54:04 GoerntKai Exp $
 */
public abstract class ClockFactory {

    /**
     * <p>Suppresses external instantiation.</p>
     */
    private ClockFactory() {

        // nop
    }

    /**
     * <p>Creates a new thread safe <code>Clock</code>.</p>
     *
     * @return <code>new StopWatch()</code>
     */
    public static Clock createStopWatch() {

        return new StopWatch();
    }
}

/* end of file ------------------------------------------------------------ */
